<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Prime Spa Center
 */

if ( ! function_exists( 'prime_spa_center_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function prime_spa_center_posted_on() {
	$prime_spa_center_time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
	

	$prime_spa_center_time_string = sprintf( $prime_spa_center_time_string,
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() )
	);

	$prime_spa_center_posted_on = sprintf(
		'%s',
		'<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $prime_spa_center_time_string . '</a>'
	);

	if( is_single() ){
		$prime_spa_center_author_setting  = prime_spa_center_get_option( 'prime_spa_center_post_author_setting' );
		if ( $prime_spa_center_author_setting ){
			$byline = sprintf(
		        esc_html_x( 'By %s', 'post author', 'prime-spa-center' ),
		        '<span class="author vcard"><a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" class="url" itemprop="url">' . esc_html( get_the_author_meta( 'display_name' ) ) . '</a></span>'
		    );
		    echo '<span class="byline">' . $byline . '</span>';
		}
	}
	$prime_spa_center_date_setting  = prime_spa_center_get_option( 'prime_spa_center_post_date_setting' );
		if ( $prime_spa_center_date_setting ){
		echo '<span class="date">' . $prime_spa_center_posted_on . '</span>'; // WPCS: XSS OK.
	}

}
endif;

if ( ! function_exists( 'prime_spa_center_entry_meta' ) ) :
/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function prime_spa_center_entry_meta() {

	$prime_spa_center_cat_setting  = prime_spa_center_get_option( 'prime_spa_center_post_categories_setting' );
		if ( $prime_spa_center_cat_setting ){
		// Hide category and tag text for pages.
		if ( 'post' === get_post_type() ) {
			/* translators: used between list items, there is a space after the comma */
			$prime_spa_center_categories_list = get_the_category_list( esc_html__( ', ', 'prime-spa-center' ) );
			if ( $prime_spa_center_categories_list && prime_spa_center_categorized_blog() ) {
				printf( '<span class="cat-links">%1$s</span>', $prime_spa_center_categories_list ); // WPCS: XSS OK.
			}
		}
	}

	if ( is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
		$prime_spa_center_comment_setting  = prime_spa_center_get_option( 'prime_spa_center_post_comment_setting' );
		if ( $prime_spa_center_comment_setting ){
			echo '<span class="comments-link">';
			/* translators: %s: post title */
			comments_popup_link( sprintf( wp_kses( __( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'prime-spa-center' ), array( 'span' => array( 'class' => array() ) ) ), get_the_title() ) );
			echo '</span>';
		}
	}
}
endif;

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
function prime_spa_center_categorized_blog() {
	if ( false === ( $prime_spa_center_all_the_cool_cats = get_transient( 'prime_spa_center_categories' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$prime_spa_center_all_the_cool_cats = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,
			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$prime_spa_center_all_the_cool_cats = count( $prime_spa_center_all_the_cool_cats );

		set_transient( 'prime_spa_center_categories', $prime_spa_center_all_the_cool_cats );
	}

	if ( $prime_spa_center_all_the_cool_cats > 1 ) {
		// This blog has more than 1 category so prime_spa_center_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so prime_spa_center_categorized_blog should return false.
		return false;
	}
}

/**
 * Flush out the transients used in prime_spa_center_categorized_blog.
 */
function prime_spa_center_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'prime_spa_center_categories' );
}
add_action( 'edit_category', 'prime_spa_center_category_transient_flusher' );
add_action( 'save_post',     'prime_spa_center_category_transient_flusher' );